-- init IvecoStralis Autoload Truck

local modDirectory = g_currentModDirectory

StoreManager.loadItem = Utils.overwrittenFunction(StoreManager.loadItem, function(self, superFunc, xmlFilename, baseDir, ...)
	if g_modIsLoaded["FS19_Scania_S580_6x2"] and not g_modIsLoaded["FS19_EasyAutoLoad"] and baseDir == modDirectory and xmlFilename == "IvecoStralis.xml" then
        log("Warning: \"FS19_Scania_S580_6x2\" requires standalone EasyAutoLoad specialization - \"FS19_Scania_S580_6x2\" will not be loaded")
        return nil
    end
    return superFunc(self, xmlFilename, baseDir, ...)
end)

if g_modIsLoaded["FS19_EasyAutoLoad"] then
	source(modDirectory .."scripts/categorizer.lua")
end